Query tasks
curl --request POST \
--url https://sandbox.tight.com/v6/tasks/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"filter": {
"priority": {
"in": [],
"notIn": []
},
"type": {
"in": [],
"notIn": []
},
"status": {
"in": [],
"notIn": []
}
}
}
'import requests
url = "https://sandbox.tight.com/v6/tasks/query"
payload = {
"cursor": "<string>",
"limit": 123,
"filter": {
"priority": {
"in": [],
"notIn": []
},
"type": {
"in": [],
"notIn": []
},
"status": {
"in": [],
"notIn": []
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 123,
filter: {
priority: {in: [], notIn: []},
type: {in: [], notIn: []},
status: {in: [], notIn: []}
}
})
};
fetch('https://sandbox.tight.com/v6/tasks/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "tsk_123456789",
"name": "Transaction Review Required",
"description": "You have 5 transactions that require review",
"shortDescription": "Stay up-to-date on 5 transactions",
"priority": "HIGH",
"type": "TRANSACTION_REVIEW",
"dismissable": "true",
"status": "ACTIVE"
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Tasks
Query tasks
Query tasks for the authenticated user with pagination and filtering support
POST
/
v6
/
tasks
/
query
Query tasks
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes
⌘I